=== debian/changelog ===
evolution-ews (3.56.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump evolution and evolution-data-server build-dependencies to >= 3.56.0

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 14 Mar 2025 16:38:44 +0100

evolution-ews (3.55.3-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build-dependencies to >= 3.55.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Mar 2025 08:22:22 -0500
