=== debian/control ===
Source: evolution-ews
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>,
           Iain Lane <laney@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               cmake,
               evolution-data-server-dev (>= 3.56.0),
               evolution-dev (>= 3.56.0),
               gtk-doc-tools (>= 1.9),
               intltool (>= 0.35.5),
               libcamel1.2-dev (>= 3.56.0),
               libebackend1.2-dev (>= 3.56.0),
               libebook1.2-dev (>= 3.56.0),
               libecal2.0-dev (>= 3.56.0),
               libedata-book1.2-dev (>= 3.56.0),
               libedata-cal2.0-dev (>= 3.56.0),
               libedataserver1.2-dev (>= 3.56.0),
               libglib2.0-dev (>= 2.62),
               libgtk-3-dev (>= 3.0),
               libjson-glib-dev,
               libmspack-dev (>= 0.4),
               libsoup-3.0-dev,
               libsqlite3-dev,
               pkgconf
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/evolution-ews
Vcs-Git: https://salsa.debian.org/gnome-team/evolution-ews.git
Homepage: https://gitlab.gnome.org/GNOME/evolution/-/wikis/home

Package: evolution-ews
Architecture: any
Depends: evolution (<< ${evo:NextVersion}),
         evolution (>= ${evo:Version}),
         evolution-ews-core (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Exchange Web Services integration for Evolution
 This package allows the Evolution mail and groupware suite to connect
 to Microsoft Exchange servers using the Exchange Web Services interface.
 .
 It works in a very similar way to the Evolution Exchange connector, but
 it supports the Exchange 2007 version.

Package: evolution-ews-core
Architecture: any
Depends: evolution-data-server (<< ${eds:NextVersion}),
         evolution-data-server (>= ${eds:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: evolution-ews (<< 3.55.2)
Replaces: evolution-ews (<< 3.55.2)
Description: Exchange Web Services integration for GNOME
 This package allows GNOME apps other than Evolution to connect
 to Microsoft Exchange servers using the Exchange Web Services interface.
 .
 It works in a very similar way to the Evolution Exchange connector, but
 it supports the Exchange 2007 version.
