=== debian/changelog ===
evolution-ews (3.56.1-1) unstable; urgency=medium

  * New upstream bugfix release (LP: #2106822)
  * Bump evolution and evolution-data-server build-dependencies to >= 3.56.1

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 11 Apr 2025 08:08:58 -0400
