=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
            Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               evolution-data-server-dev (>= 3.56.0),
-               evolution-dev (>= 3.56.0),
+               evolution-data-server-dev (>= 3.56.1),
+               evolution-dev (>= 3.56.1),
                gtk-doc-tools (>= 1.9),
                intltool (>= 0.35.5),
-               libcamel1.2-dev (>= 3.56.0),
-               libebackend1.2-dev (>= 3.56.0),
-               libebook1.2-dev (>= 3.56.0),
-               libecal2.0-dev (>= 3.56.0),
-               libedata-book1.2-dev (>= 3.56.0),
-               libedata-cal2.0-dev (>= 3.56.0),
-               libedataserver1.2-dev (>= 3.56.0),
+               libcamel1.2-dev (>= 3.56.1),
+               libebackend1.2-dev (>= 3.56.1),
+               libebook1.2-dev (>= 3.56.1),
+               libecal2.0-dev (>= 3.56.1),
+               libedata-book1.2-dev (>= 3.56.1),
+               libedata-cal2.0-dev (>= 3.56.1),
+               libedataserver1.2-dev (>= 3.56.1),
                libglib2.0-dev (>= 2.62),
                libgtk-3-dev (>= 3.0),
                libjson-glib-dev,
