=== debian/changelog ===
evolution-ews (3.56.2-3) unstable; urgency=medium

  * Cherry-pick patch to fix emails/folders not always in sync with the server
    (Closes: #1112131)
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Nov 2025 23:18:46 -0500

evolution-ews (3.56.2-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 12 Aug 2025 18:07:50 -0400

evolution-ews (3.56.2-1) experimental; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build-dependencies to >= 3.56.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Jun 2025 14:38:55 -0400
