=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
            Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               evolution-data-server-dev (>= 3.56.1),
-               evolution-dev (>= 3.56.1),
+               evolution-data-server-dev (>= 3.56.2),
+               evolution-dev (>= 3.56.2),
                gtk-doc-tools (>= 1.9),
                intltool (>= 0.35.5),
-               libcamel1.2-dev (>= 3.56.1),
-               libebackend1.2-dev (>= 3.56.1),
-               libebook1.2-dev (>= 3.56.1),
-               libecal2.0-dev (>= 3.56.1),
-               libedata-book1.2-dev (>= 3.56.1),
-               libedata-cal2.0-dev (>= 3.56.1),
-               libedataserver1.2-dev (>= 3.56.1),
+               libcamel1.2-dev (>= 3.56.2),
+               libebackend1.2-dev (>= 3.56.2),
+               libebook1.2-dev (>= 3.56.2),
+               libecal2.0-dev (>= 3.56.2),
+               libedata-book1.2-dev (>= 3.56.2),
+               libedata-cal2.0-dev (>= 3.56.2),
+               libedataserver1.2-dev (>= 3.56.2),
                libglib2.0-dev (>= 2.62),
                libgtk-3-dev (>= 3.0),
                libjson-glib-dev,
@@ -25,8 +25,7 @@
                libsoup-3.0-dev,
                libsqlite3-dev,
                pkgconf
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/evolution-ews
 Vcs-Git: https://salsa.debian.org/gnome-team/evolution-ews.git
 Homepage: https://gitlab.gnome.org/GNOME/evolution/-/wikis/home
